function RES=minAfter(X,number)
% Нахождение ближайшего сверху числа к определенному другому
% Вход:  X     - вектор (1 строка)
%        nmber - число, для которого надо найти ближайшее сверху
% Выход: RES   - искомое число

[m,n]=size(X);
RES=max(X);
for i=1:n
    if (X(1,i)>number) && (X(1,i)<RES)
        RES=X(1,i);
    end
end